Subject: Re: cpm_uart: WARNING: no UART devices found

From: Vitaly Bordug <[email-masked]>
Date: Wed, 31 Jan 2007 08:01:00 +0300

On Tue, 30 Jan 2007 09:30:49 +0100
DI BACCO ANTONIO - technolabs wrote:

> My board has an MPC880 and it is named TL880 with a linux 2.6.19, I
> copied kernel configurations from the very similar board mpc885ads.
> I filled in platform data in file TL880_setup.c but I see that
> function TL880_fixup_uart_pdata is never called and, as a
> consequence, I see the message cpm_uart: WARNING: no UART devices
> found. Also I receive message: IP-Config: No network devices
> available. 

You seem to miss the board ppc_sys_identify_by_name() (or alike) call - so BOARD_CHIP_NAME is 
not defined for your board in BSP file. There is no other way to properly identify SoC with 8xx...
--
Sincerely, Vitaly